%define momorel 1
%global md5sum_src0 407d405ade410f7597d364ab5dc8c9f6

Summary: Utilities for making and checking MS-DOS FAT filesystems on Linux.
Name: dosfstools
Version: 2.11
Release: %{momorel}m
License: GPL
Group: Applications/System
%NoSource 0 ftp://ftp.uni-erlangen.de/pub/Linux/LOCAL/%{name}/%{name}-%{version}.src.tar.gz %{md5sum_src0}
Patch0: dosfstools-2.7-argfix.patch
Patch1: dosfstools-2.11-kernel26.patch
Patch2: dosfstools-2.11-lseek.patch
Patch3: dosfstools-2.11-fortify.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: mkdosfs-ygg

%description
The dosfstools package includes the mkdosfs and dosfsck utilities,
which respectively make and check MS-DOS FAT filesystems on hard
drives or on floppies.

%prep
%setup -q
%patch0 -p1 -b .argfix~
%patch1 -p1 -b .kernel26
%patch2 -p1 -b .lseek
%patch3 -p1 -b .fortify

%build
make %{?_smp_mflags} CFLAGS="%{optflags} -Dllseek=lseek64 -D_LARGEFILE64_SOURCE"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/sbin
mkdir -p %{buildroot}/%{_mandir}/man8

install -m755 -s mkdosfs/mkdosfs %{buildroot}/sbin/mkdosfs
ln %{buildroot}/sbin/mkdosfs %{buildroot}/sbin/mkfs.vfat
ln %{buildroot}/sbin/mkdosfs %{buildroot}/sbin/mkfs.msdos

install -m755 -s dosfsck/dosfsck %{buildroot}/sbin/dosfsck
ln %{buildroot}/sbin/dosfsck %{buildroot}/sbin/fsck.msdos
ln %{buildroot}/sbin/dosfsck %{buildroot}/sbin/fsck.vfat

install -m 644 mkdosfs/mkdosfs.8 %{buildroot}%{_mandir}/man8
ln -sf mkdosfs.8.bz2 %{buildroot}%{_mandir}/man8/mkfs.msdos.8.bz2
ln -sf mkdosfs.8.bz2 %{buildroot}%{_mandir}/man8/mkfs.vfat.8.bz2

install -m 644 dosfsck/dosfsck.8 %{buildroot}%{_mandir}/man8
ln -sf dosfsck.8.bz2 %{buildroot}%{_mandir}/man8/fsck.vfat.8.bz2

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/sbin/*
%{_mandir}/man8/*

%changelog
* Mon May 29 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (2.11-1m)
- update to 2.11
- change Source0 URI and NoSouce
- import some patches from FC
- delete unused patches

* Tue Feb 15 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.8-1m)
- import from FC3.

* Wed Sep  8 2004 Shotaro Kamio <skamio@momonga-linux.org>
- (2.7-5m)
- update patch3 for glibc-kernheaders

* Fri Aug 27 2004 Shotaro Kamio <skamio@momonga-linux.org>
- (2.7-4m)
- add patch3 for kernel 2.6

* Wed May 14 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.7-3m)
- add patch for glibc-2.3

* Sun Oct 28 2001 Toru Hoshina <t@kondara.org>
- (2.7-2k)
- version up.

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Fri Jun 17 2000 Bill Nottingham <notting@redhat.com>
- hard link mkdosfs

* Thu Jun 15 2000 Matt Wilson <msw@redhat.com>
- FHS
- patch to build against 2.4 kernel headers (patch3)

* Fri Apr 28 2000 Bill Nottingham <notting@redhat.com>
- fix for ia64

* Thu Feb  3 2000 Matt Wilson <msw@redhat.com>
- remove mkdosfs.8 symlink, symlink mkdosfs.8.gz to mkfs.msdos.8.gz

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix descriptions and summary
- man pages are compressed

* Thu Dec 16 1999 Cristian Gafton <gafton@redhat.com>
- fix the 2.88MB drives (patch from hjl)

* Mon Aug 16 1999 Matt Wilson <msw@redhat.com>
- updated to 2.2

* Sun Jun 27 1999 Matt Wilson <msw@redhat.com>
- changed to new maintainer, renamed to dosfstools

* Sat Apr 17 1999 Jeff Johnson <jbj@redhat.com>
- fix mkdosfs on sparc (#1746)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 10)

* Thu Jan 21 1999 Bill Nottingham <notting@redhat.com>
- build for RH 6.0

* Tue Oct 13 1998 Cristian Gafton <gafton@redhat.com>
- avoid using unsinged long on alphas 

* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
